
#include "CondFormats/MFObjects/src/headers.h"

#include <boost/serialization/base_object.hpp>
#include <boost/serialization/nvp.hpp>
#include <boost/serialization/export.hpp>

#include "CondFormats/Serialization/interface/Equal.h"
#include "CondFormats/Serialization/interface/Instantiate.h"

template <class Archive>
void MagFieldConfig::serialize(Archive & ar, const unsigned int)
{
    ar & boost::serialization::make_nvp("geometryVersion", geometryVersion);
    ar & boost::serialization::make_nvp("version", version);
    ar & boost::serialization::make_nvp("gridFiles", gridFiles);
    ar & boost::serialization::make_nvp("keys", keys);
    ar & boost::serialization::make_nvp("values", values);
    ar & boost::serialization::make_nvp("slaveFieldVersion", slaveFieldVersion);
    ar & boost::serialization::make_nvp("slaveFieldParameters", slaveFieldParameters);
}
COND_SERIALIZATION_INSTANTIATE(MagFieldConfig);

